
$("#btnSave").on('click',function(e){
    e.preventDefault();
    labid = $('#lab-id').val();
    url = parseInt(labid) === 0 ? save_lab_url : update_lab_url;
    $.ajax({
        url: url,
        type:"POST",
        data:{
            "_token": csrf_token,
            organization_id : labid,
            name_en: $('#lab-name-en').val(),
            name_kh: $('#lab-name-kh').val(),
            code: $('#lab-code').val(),
            address_en: $('#address-en').val(),
            address_kh: $('#address-kh').val(),
            phone: $('#phone-number').val(),
            email: $('#email').val()
        },
        success:function(res){
            handleMessage(res.success, res.message)
            setTimeout(function () {location.reload()}, messageDuration)
        }
    });
});

function delete_lab(labid){
    Swal.fire({
        text: confirm_delete_record,
        icon: 'question',
        showCancelButton: true,
        cancelButtonClass:'danger',
        confirmButtonText: confirm_ok_delete,
        cancelButtonText: confirm_cancel
    }).then((result) => {
        if (result.value) {
            $.ajax({
                url: delete_lab_url,
                method:'POST',
                data:{
                    "_token": csrf_token,
                    organization_id : labid,
                },
                success:function(res){
                    handleMessage(res.success, res.message)
                    setTimeout(function () {location.reload()}, messageDuration)
                }
            })

        }
    });
}

function restore_lab(labid){
    Swal.fire({
        text: confirm_restore_record,
        icon: 'question',
        showCancelButton: true,
        cancelButtonClass:'danger',
        confirmButtonText: confirm_ok_restore,
        cancelButtonText: confirm_cancel_restore,
    }).then((result) => {
        if (result.value) {
            $.ajax({
                url: restore_lab_url,
                method:'POST',
                data:{
                    "_token": csrf_token,
                    organization_id : labid,
                },
                success:function(res){
                    handleMessage(res.success, res.message)
                    setTimeout(function () {location.reload()}, messageDuration)
                }
            })

        }
    });
}

$('#modal-laboratory').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget) // Button that triggered the modal
    var action = button.data('action') // Extract info from data-* attributes
    $('#shareable_lab_result').prop("checked", false)
    var modal = $(this);
    if(action === "new"){
        // Clear inputs
        modal.find('.modal-body input').val("");
        modal.find('.modal-body input[name="organization_id"]').val(0);
        modal.find('.modal-title').html(modal_add_title);
    }else if(action === "edit"){
        organization_id = button.data('labid');
        modal.find('.modal-body input[name="organization_id"]').val(organization_id);
        modal.find('.modal-title').html(modal_edit_title);
        //e.preventDefault();
        $.ajax({
            url: get_lab_url,
            type:"POST",
            data:{
                "_token": csrf_token,
                organization_id: organization_id,
            },
            success:function(res){
                if(res.success) {
                    let data = res.data;
                    modal.find('.modal-body input[name="name_en"]').val(data.name_en);
                    modal.find('.modal-body input[name="name_kh"]').val(data.name_kh);
                    modal.find('.modal-body input[name="code"]').val(data.code);
                    modal.find('.modal-body input[name="address_en"]').val(data.address_en);
                    modal.find('.modal-body input[name="address_kh"]').val(data.address_kh);
                    modal.find('.modal-body input[name="email"]').val(data.email);
                    modal.find('.modal-body input[name="phone_number"]').val(data.phone);
                } else{
                    handleMessage(res.success, res.message)
                }
            },
        });
    }
})

